# generator-generator-fromdir [![NPM version][npm-image]][npm-url] [![Dependency Status][daviddm-image]][daviddm-url]
> 

This builds upon [generator-generator](https://github.com/yeoman/generator-generator)
but rather than initializing an empty generator, it prepopulates the templates
directory with the contents of an already existing one.

With a new project it's often easier for me to install and code everything up
manually and make sure it's working and only then create a scaffold from it.
Otherwise I need to constantly update both the generator and the package I'm
working on.  That's what this yeoman generator generator does. You set up a
working version of some library, create the generator, and then create 
templates from those files as needed.


## Installation

First, install [Yeoman](http://yeoman.io) and generator-test using
[npm](https://www.npmjs.com/) (we assume you have pre-installed
[node.js](https://nodejs.org/)).

```bash
npm install -g yo
npm install -g generator-generator-fromdir
```

Then generate your new project:

```bash
yo generator-fromdir <directory to scaffold>
```

The default behavior is to copy all files in the directory to the `templates`
directory and then create copy routines in the resulting generator to copy
each file.

## License

Apache-2.0 © [Thomas Torsney-Weir](https://www.tomtorsneyweir.com)

[npm-image]: https://badge.fury.io/js/generator-generator-fromdir.svg
[npm-url]: https://npmjs.org/package/generator-generator-fromdir
[daviddm-image]: https://david-dm.org//generator-generator-fromdir.svg?theme=shields.io
[daviddm-url]: https://david-dm.org//generator-generator-fromdir
